Change status info overlay to display at top of screen on top of content



Observe! This is my first bug reported at 

Since Nightly on  January  there's a small overlay on top of content at bottom of screen, to show this information is very good but I would be better to show this information closer to the location bar, for example at top of screen on top of content. If you see status activity info closer to the location bar it's more consistent UI and easier to see because you are already looking up after seeing link preview in the location bar.




Click on an any link
See


Small overlay on top of content at bottom of screen is shown with connecting, waiting, loading status messages.


Small overlay on top of content at the top of screen is shown with connecting, waiting, loading status messages. Just below the location bar, to the top-left of content.

This is my first bug reported at  Please be kind to me regarding methodology of reporting bugs.
